com.r3corda.node.internal.testing / Simulation / SimulatedNode

# SimulatedNode

`open class SimulatedNode : MockNode`

### Constructors

<init> | `SimulatedNode(dir: Path, config: NodeConfiguration, mockNet: MockNetwork, networkMapAddress: NodeInfo?, advertisedServices: Set<ServiceType>, id: Int, keyPair: KeyPair?)`

### Inherited Properties

id | `val id: Int`
keyPair | `val keyPair: KeyPair?`
log | `open val log: <ERROR CLASS>`
mockNet | `val mockNet: MockNetwork`
place | `val place: PhysicalLocation`
serverThread | `open val serverThread: AffinityExecutor`

### Functions

findMyLocation | `open fun findMyLocation(): PhysicalLocation?`

### Inherited Functions

generateKeyPair | `open fun generateKeyPair(): KeyPair`
makeIdentityService | `open fun makeIdentityService(): MockIdentityService`
makeMessagingService | `open fun makeMessagingService(): MessagingServiceInternal`
makeWalletService | `open fun makeWalletService(): WalletService`
noNetworkMapConfigured | `open fun noNetworkMapConfigured(): <ERROR CLASS>` This is overriden by the mock node implementation to enable operation without any network map service
start | `open fun start(): MockNode`
startMessagingService | `open fun startMessagingService(): Unit`